Subject: Re: veth regression with "don’t modify ip_summed; doing so treats packets with bad checksums as good."

From: Ben Greear <[email-masked]>
Date: Fri, 25 Mar 2016 10:14:46 -0700

On 03/25/2016 09:44 AM, David Miller wrote:
> From: Ben Greear <[email-masked]>
> Date: Fri, 25 Mar 2016 09:10:58 -0700
>
>> I am suspicious that this will break at least some drivers.  I
>> grepped around for ip_summed, and found this, for instance:
>>
>> davicom/dm9000.c
>>
>>          /* The DM9000 is not smart enough to leave fragmented packets
>
> An really old (circa 1997), not-oft-used, driver such as this is not
> the place to be looking for correct usage of skb->ip_summed semantics.
>
> I would never use whatever a driver like this does influence whether I
> apply a bug fix or not.

Point is, it took me 5 minutes to find that, and I did not look hard at many
other drivers.  e1000e and igb appear to be fine, and maybe the rest of them
are too.  Lord knows what other strange setups might be effected by the
ip_summed change.

Anyway, you know the stack and drivers better than me, so if you think Cong's
patch is valid, then I'll test it and make sure it works in my setups at least.

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com